packages:
  - packages/*
  - docs
  - test
  - test/*
  - bundle-size

catalog:
  '@babel/cli': ^7.28.3
  '@babel/core': ^7.28.5
  '@babel/plugin-transform-react-constant-elements': ^7.27.1
  '@babel/plugin-transform-runtime': ^7.28.5
  '@babel/preset-typescript': ^7.28.5
  '@babel/runtime': ^7.28.4
  '@babel/traverse': ^7.28.5
  '@emotion/cache': ^11.14.0
  '@emotion/react': ^11.14.0
  '@emotion/styled': ^11.14.1
  '@mui/icons-material': ^7.3.4
  '@mui/internal-test-utils': ^2.0.14
  '@mui/material': ^7.3.4
  '@mui/stylis-plugin-rtl': ^7.3.3
  '@mui/system': ^7.3.3
  '@mui/utils': ^7.3.3
  '@mui/x-internal-exceljs-fork': ^4.4.2
  '@playwright/test': ^1.55.1
  '@react-spring/web': ^10.0.3
  '@types/chance': ^1.1.7
  '@types/d3-scale': ^4.0.9
  '@types/karma': ^6.3.9
  '@types/luxon': ^3.7.1
  '@types/moment-hijri': ^2.1.4
  '@types/moment-jalaali': ^0.7.9
  '@types/prop-types': ^15.7.15
  '@types/react': 19.2.2
  '@types/react-dom': 19.2.2
  '@types/react-router': ^5.1.20
  '@types/react-transition-group': ^4.4.12
  '@types/semver': ^7.7.1
  '@types/use-sync-external-store': ^1.5.0
  '@typescript-eslint/parser': ^8.46.2
  '@vitejs/plugin-react': ^5.0.4
  '@vitejs/plugin-react-swc': ^4.1.0
  '@vitest/browser': ^3.2.4
  '@vitest/coverage-v8': ^3.2.4
  '@vitest/ui': ^3.2.4
  autoprefixer: ^10.4.21
  babel-plugin-optimize-clsx: ^2.6.2
  babel-plugin-react-remove-properties: ^0.3.1
  babel-plugin-transform-react-remove-prop-types: ^0.4.24
  chance: ^1.1.13
  clsx: ^2.1.1
  cross-env: ^10.1.0
  csstype: ^3.1.3
  date-fns: ^4.1.0
  date-fns-jalali: ^4.1.0-0
  dayjs: ^1.11.18
  jscodeshift: 17.3.0
  luxon: ^3.7.2
  moment: ^2.30.1
  moment-hijri: ^3.0.0
  moment-jalaali: ^0.10.4
  moment-timezone: ^0.6.0
  motion: ^12.23.24
  prop-types: ^15.8.1
  react: 19.2.0
  react-dom: 19.2.0
  react-router: ^7.9.5
  react-transition-group: ^4.4.5
  reselect: ^5.1.1
  rimraf: ^6.0.1
  serve: ^14.2.5
  stylis: ^4.3.6
  tsx: ^4.20.6
  use-sync-external-store: ^1.6.0
  vite: ^7.1.12
  vitest: 3.2.4
  yargs: ^18.0.0

engineStrict: true

ignoredBuiltDependencies:
  - '@mui/monorepo'
  - core-js
  - msw

onlyBuiltDependencies:
  - '@swc/core'
  - '@vvago/vale'
  - esbuild
  - nx
  - sharp
  - unrs-resolver
